> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the given resource views



## OpenAPI

````yaml api-reference/openapi.json get /api/views/resource/{resourceModel}
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/views/resource/{resourceModel}:
    get:
      tags:
        - Views
      summary: Get the given resource views
      operationId: ViewsController_getResourceViews
      parameters:
        - name: resourceModel
          required: true
          in: path
          description: The resource model to get views for
          schema:
            type: string
      responses:
        '200':
          description: Specific resource views
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ViewResponseDto'
components:
  schemas:
    ViewResponseDto:
      type: object
      properties:
        id:
          type: number
          description: The unique identifier of the view
        name:
          type: string
          description: The name of the view
        slug:
          type: string
          description: The slug of the view
        predefined:
          type: boolean
          description: Whether the view is predefined
        resourceModel:
          type: string
          description: The resource model associated with the view
        favourite:
          type: boolean
          description: Whether the view is marked as favourite
        rolesLogicExpression:
          type: string
          description: The roles logic expression for the view
        roles:
          description: The roles associated with the view
          type: array
          items:
            $ref: '#/components/schemas/RoleResponseDto'
        columns:
          description: The columns associated with the view
          type: array
          items:
            $ref: '#/components/schemas/ViewColumn'
        createdAt:
          format: date-time
          type: string
          description: The creation timestamp
        updatedAt:
          format: date-time
          type: string
          description: The last update timestamp
      required:
        - id
        - name
        - slug
        - predefined
        - resourceModel
        - favourite
        - rolesLogicExpression
        - roles
        - columns
        - createdAt
        - updatedAt
    RoleResponseDto:
      type: object
      properties:
        id:
          type: number
          example: 1
          description: Unique identifier of the role
        slug:
          type: string
          example: admin
          description: The slug of the role
        name:
          type: string
          example: Administrator
          description: The name of the role
        description:
          type: string
          example: Administrator role with all permissions
          description: The description of the role
        predefined:
          type: boolean
          example: false
          description: Indicates if the role is predefined
        permissions:
          description: List of permissions associated with the role
          example:
            - ability: read
              subject: item
              value: true
            - ability: edit
              subject: item
              value: false
          type: array
          items:
            $ref: '#/components/schemas/RolePermissionResponseDto'
      required:
        - id
        - slug
        - name
        - description
        - predefined
        - permissions
    ViewColumn:
      type: object
      properties: {}
    RolePermissionResponseDto:
      type: object
      properties:
        ability:
          type: string
          example: read
          description: The action/ability of the permission
        subject:
          type: string
          example: item
          description: The subject of the permission
        value:
          type: boolean
          example: true
          description: The value of the permission
      required:
        - ability
        - subject
        - value

````